> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/jp/kaihatsu/joukyu/nft/nft-file-junbi.md).

# NFT ファイルを準備する

NFT プロジェクト用のファイルの準備には、明確に分かれた 2 つのパートがあります。

* ビジュアルアセット（ユーザーが目にするもの）
* メタデータ（ブロックチェーンが読み取るもの）

## ビジュアルアセット

これは、あなたが NFT にしたいアート作品です。

あなた（またはあなたのデザインチーム）は、次の仕様でファイルを制作する必要があります。

### フォーマット

* 静止画像: PNG（品質の点で推奨）または JPG を使用します。
* 動画: MP4 を使用します。\
  \_動画カードを用意する場合は、スムーズな読み込みのために静止画の「サムネイル」画像も作成してください。\_
* 3D オブジェクト: GLB または GLTF を使用します。

### 寸法（アスペクト比）

通常、NFT は次のいずれかを使用します。

* 正方形フォーマット: 1080 x 1080 ピクセル。
* 縦長のスマホ／ストーリー向けフォーマット: 1080 x 1920 ピクセル。

### ファイルサイズ

モバイルウォレットでの高速な読み込みのため、ファイルは 25MB 未満（理想的には 10MB 未満）に抑えることを目指してください。

{% hint style="info" %}

#### プロのヒント

高解像度の「マスター」ファイル（100MB 以上）を作成しても、それをメインの NFT 画像として使用しないでください。代わりに「[アンロック可能なコンテンツ](https://help.rarible.com/hc/en-us/articles/10460251328653-What-is-unlockable-content)」機能を使い、マスターファイルは所有者だけに提供しましょう。
{% endhint %}

## メタデータ

ブロックチェーンは画像を直接保存しません（コストが高すぎるためです）。代わりに JSON 形式のテキストファイルへのリンクを保存します。つまり、JSON ファイルはビジュアルファイルが実際にホストされてから初めて作成できます。

{% hint style="info" %}
最近のツールの多くはこれを自動でやってくれるため、すべてを手作業で行う必要はありません。
{% endhint %}

コレクション内の NFT タイプごとに 1 つの JSON ファイルが必要です（例: 「NFT 1」用に 1 つ、「NFT 2」用に 1 つ、など）。

NFT の JSON ファイルの例を以下に示します。

```json
{
  "name": "Mark Whaleon - 2024/25 Season",
  "description": "The official Striker card for Team X, 2024/25 Season. Gold Tier.",
  "image": "ipfs://YOUR_IMAGE_IPFS_ID_GOES_HERE",
  "external_url": "https://yourteam.com/players/whaleon",
  "attributes": [
    {
      "trait_type": "Position",
      "value": "Striker"
    },
    {
      "trait_type": "Jersey Number",
      "value": "10"
    },
    {
      "trait_type": "Season",
      "value": "2024/2025"
    },
    {
      "trait_type": "Rarity",
      "value": "Gold"
    },
    {
      "display_type": "number",
      "trait_type": "Goals Scored",
      "value": 15
    }
  ]
}
```

{% hint style="info" %}
attributes はスポーツ関連のカードにとって極めて重要です。これによりファンはマーケットプレイス上で「Position」「Season」「Rarity」でフィルタリングできるようになります。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chiliz.com/jp/kaihatsu/joukyu/nft/nft-file-junbi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
